Loading...
Searching...
No Matches
FFmpegReader.cpp File Reference

Source file for FFmpegReader class. More...

`#include <thread>`
`#include <chrono>`
`#include <algorithm>`
`#include <cmath>`
`#include <unistd.h>`
`#include "FFmpegUtilities.h"`
`#include "effects/CropHelpers.h"`
`#include "FFmpegReader.h"`
`#include "Exceptions.h"`
`#include "MemoryTrim.h"`
`#include "Timeline.h"`
`#include "ZmqLogger.h"`

Go to the source code of this file.

## Macros

#define | ENABLE_VAAPI 0
#define | MAX_SUPPORTED_HEIGHT 1100
#define | MAX_SUPPORTED_WIDTH 1950

## Variables

AVHWDeviceType | hw_de_av_device_type_global = AV_HWDEVICE_TYPE_NONE
AVPixelFormat | hw_de_av_pix_fmt_global = AV_PIX_FMT_NONE
int | hw_de_on = 0

## Detailed Description

Source file for FFmpegReader class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org, Fabrice Bellard

This file is originally based on the Libavformat API example, and then modified by the libopenshot project.

License

Definition in file FFmpegReader.cpp.

## Macro Definition Documentation

## ENABLE_VAAPI

#define ENABLE_VAAPI 0

Definition at line 31 of file FFmpegReader.cpp.

## MAX_SUPPORTED_HEIGHT

#define MAX_SUPPORTED_HEIGHT 1100

Definition at line 35 of file FFmpegReader.cpp.

## MAX_SUPPORTED_WIDTH

#define MAX_SUPPORTED_WIDTH 1950

Definition at line 34 of file FFmpegReader.cpp.

## Variable Documentation

## hw_de_av_device_type_global

AVHWDeviceType hw_de_av_device_type_global = AV_HWDEVICE_TYPE_NONE

Definition at line 72 of file FFmpegReader.cpp.

## hw_de_av_pix_fmt_global

AVPixelFormat hw_de_av_pix_fmt_global = AV_PIX_FMT_NONE

Definition at line 71 of file FFmpegReader.cpp.

## hw_de_on

int hw_de_on = 0

Definition at line 69 of file FFmpegReader.cpp.

Referenced by openshot::FFmpegReader::Close(), and openshot::FFmpegReader::Open().